Name:           springlobby
Version:        0.3
Release:        1%{?dist}
Summary:        A lobby client for the spring RTS game engine

Group:          Amusements/Games
# License clarification: http://springlobby.info/issues/show/810
License:        GPLv2
URL:            http://springlobby.info
Source0:        http://www.springlobby.info/tarballs/springlobby-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel, rb_libtorrent-devel
BuildRequires:  SDL-devel, SDL_sound-devel, SDL_mixer-devel
BuildRequires:  pkgconfig, desktop-file-utils, gettext

# There are other "lobbies" for spring, make a virtual-provides
Provides:       spring-lobby = %{version}-%{release}

Requires:       hicolor-icon-theme
# Springlobby is completely useless without the spring package
Requires:       spring
# Spring does not build on PPC, exclude it here too
ExcludeArch:    ppc ppc64


%description
SpringLobby is a free cross-platform lobby client for the Spring RTS project.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Handled in %%doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/

# Fix Icon entry
sed -i -e 's/^Icon=\(.*\).svg/Icon=\1/g' \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install  \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --remove-category Application \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Move icon to the Freedesktop directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.svg \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING THANKS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Sat Jul 18 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.3
- version 0.3

* Fri May 22 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10461-1
- version 10461
- drop patch0 (merged upstream)

* Sun May 10 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-5
- rebuild

* Tue Apr 28 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-4
- rebuild

* Sun Mar 29 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-3
- add patch for gcc 4.4

* Sat Mar 28 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-2
- rebuild

* Sun Mar 22 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-1
- revert to 10425

* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-4
- fix license tag

* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-3
- new scriptlets for the icon cache
- require hicolor-icon-theme

* Sun Mar 15 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-2
- drop the version in the buildrequires
- don't package ChangeLog as %%doc

* Sun Mar 15 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-1
- version 10429

* Wed Feb 25 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10425-1
- version 10425
- drop both patches (merged upstream)

* Tue Feb 03 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10393-1
- version 10393
- add patch to detect libunitsync.so properly
- drop workaround for rhbz#478589
- require spring
- add patch to fix gettext detection on x86_64

* Sat Jan 17 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10387-1
- version 10387
- remove vendor from the desktop file

* Thu Jan 01 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10372-1
- initial package
